X2Go Bug report logs - #370
RPM package: nx-libs lacks Xinerama support

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sat, 14 Dec 2013 21:03:01 UTC

Severity: important

Tags: pending

Fixed in version 2:3.5.0.22

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#370; Package nx-libs. (Sat, 14 Dec 2013 21:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 14 Dec 2013 21:03:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: RPM package: nx-libs lacks Xinerama support
Date: Sat, 14 Dec 2013 21:00:37 +0000
[Message part 1 (text/plain, inline)]
Package: nx-libs
Severity: important
Tag: rpm-package

The current RPMs built from nx-libs HEAD lack Xinerama support because  
of missing symlinks. The links should be created like below when the  
package libNX_Xinerama gets installed:

mike@minobo:/usr/lib64/nx/X11$ ls Xinerama/ -al
insgesamt 16
libNX_X11.so.6 -> /usr/lib64/libX11.so.6
libNX_Xext.so.6 -> /usr/lib64//libXext.so.6
libXinerama.so -> ../libNX_Xinerama.so
libXinerama.so.1 -> ../libNX_Xinerama.so.1

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#370; Package nx-libs. (Mon, 16 Dec 2013 02:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Dec 2013 02:48:01 GMT) Full text and rfc822 format available.

Message #10 received at 370@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 370@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#370: RPM package: nx-libs lacks Xinerama support
Date: Sun, 15 Dec 2013 19:14:02 -0700
On 12/14/2013 02:00 PM, Mike Gabriel wrote:
> Package: nx-libs
> Severity: important
> Tag: rpm-package
>
> The current RPMs built from nx-libs HEAD lack Xinerama support because
> of missing symlinks. The links should be created like below when the
> package libNX_Xinerama gets installed:
>
> mike@minobo:/usr/lib64/nx/X11$ ls Xinerama/ -al
> insgesamt 16
> libNX_X11.so.6 -> /usr/lib64/libX11.so.6
> libNX_Xext.so.6 -> /usr/lib64//libXext.so.6
> libXinerama.so -> ../libNX_Xinerama.so
> libXinerama.so.1 -> ../libNX_Xinerama.so.1

Shouldn't NX be taught to just use libXinerama.so.1 directly instead?


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#370; Package nx-libs. (Mon, 16 Dec 2013 07:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Dec 2013 07:48:01 GMT) Full text and rfc822 format available.

Message #15 received at 370@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>
Cc: 370@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#370: RPM package: nx-libs lacks Xinerama support
Date: Mon, 16 Dec 2013 07:37:29 +0000
[Message part 1 (text/plain, inline)]
Hi Orion,

On  Mo 16 Dez 2013 03:14:02 CET, Orion Poplawski wrote:

> On 12/14/2013 02:00 PM, Mike Gabriel wrote:
>> Package: nx-libs
>> Severity: important
>> Tag: rpm-package
>>
>> The current RPMs built from nx-libs HEAD lack Xinerama support because
>> of missing symlinks. The links should be created like below when the
>> package libNX_Xinerama gets installed:
>>
>> mike@minobo:/usr/lib64/nx/X11$ ls Xinerama/ -al
>> insgesamt 16
>> libNX_X11.so.6 -> /usr/lib64/libX11.so.6
>> libNX_Xext.so.6 -> /usr/lib64//libXext.so.6
>> libXinerama.so -> ../libNX_Xinerama.so
>> libXinerama.so.1 -> ../libNX_Xinerama.so.1
>
> Shouldn't NX be taught to just use libXinerama.so.1 directly instead?

The libNX_Xinerama.so.1 is very much different from libXinerama.so as  
it retrieves its data about number of screens and screen resolutions  
from a file (and not from hardware).

Scan for NX_XINERAMA_CONF in [1] for details.

Mike

[1]  
http://code.x2go.org/gitweb?p=nx-libs.git;a=blob;f=debian/patches/202_nx-X11_enable-xinerama.full.patch
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#370; Package nx-libs. (Tue, 17 Dec 2013 11:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 17 Dec 2013 11:18:02 GMT) Full text and rfc822 format available.

Message #20 received at 370@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 370-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 370@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Tue, 17 Dec 2013 12:10:34 +0100 (CET)
tag #370 pending
fixed #370 2:3.5.0.22
thanks

Hello,

X2Go issue #370 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=a96a43f

The issue will most likely be fixed in src:nx-libs (2:3.5.0.22).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a96a43f14b27ab9ff51c4dbd4e60024374baa4d7
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Dec 17 12:09:54 2013 +0100

    Enable Xinerama support for RPM packages. (Fixes: #370).

diff --git a/debian/changelog b/debian/changelog
index 4486f7f..72cbc7b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -32,6 +32,7 @@ nx-libs (2:3.5.0.22-0x2go1) UNRELEASED; urgency=low
     + Use local tarball, don't expect  ,,-full'' in tarball name.
     + The RPM macro for the linker flags does not exist on EPEL. Thus, hardcode
       __global_ldflags macro for EPEL builds.
+    + Enable Xinerama support for RPM packages. (Fixes: #370).
 
   [ Clemens Lang ]
   * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 17 Dec 2013 11:18:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 17 Dec 2013 11:18:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#370. (Tue, 17 Dec 2013 11:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#370; Package nx-libs. (Sat, 04 Jan 2014 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 04 Jan 2014 20:45:04 GMT) Full text and rfc822 format available.

Message #32 received at 370@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 370-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 370@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Sat, 4 Jan 2014 21:42:44 +0100 (CET)
close #370
thanks

Hello,

we are very hopeful that X2Go issue #370 reported by you
has been resolved in the new release (2:3.5.0.22) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.22)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b07b3cca09f5aa4a5c32dc4f75df2978a8aacaac;hp=b2a3143f8a9c2d5aaf20c14408354ef9a712a3ee

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.22-0x2go1
Status: RELEASE
Date: Sat, 04 Jan 2014 21:39:17 +0100
Fixes: 314 337 370
Changes: 
 nx-libs (2:3.5.0.22-0x2go1) RELEASED; urgency=low
 .
   [ Mirraz Mirraz ]
   * Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs:
     one implicit function declaration issue and two array index out of bounds
     issues. (Fixes: #314).
 .
   [ Mike Gabriel ]
   * Add patch 604_nx-X11_recent-freetype-API.full.patch. Fix FTBFS against
     recent (>= 2.5.0) libfreetype6 API.
   * Refresh patch: 600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch.
   * Improve patch:
     601_nx-X11_build-option-changes-to-not-use-bundled-libraries.full.patch.
     Improvements taken from the current Fedora package. Thanks to Orion
     Paplowski!!! Also adapt roll-tarball.sh do dropping more bundled
     libraries.
   * Rename patch: 302_nxagent_configurable-keystrokes.full.patch to
     320_nxagent_configurable-keystrokes.full.patch.
   * debian/source/format:
     + Switch to format 1.0.
   * debian/control:
     + Add libfreetype6-dev to Build-Depends: field.
     + Drop symlinking libNX_xrandr for setting a custom LD_LIBRARY_PATH. Not in
       use anymore and not recommended at all to have that.
     + Make sure all nx-libs components depend on the very same version.
   * debian/rules:
     + Remove bundled libraries from source tree before building the package.
   * nx-libs.spec:
     + Ship nx-libs.spec (RPM package definitions) in upstream project. (Thanks
       to the Fedora package maintainers). File differs from the Fedora file
       already.
     + Clear (Fedora package) changelog.
     + Use local tarball, don't expect  ,,-full'' in tarball name.
     + The RPM macro for the linker flags does not exist on EPEL. Thus, hardcode
       __global_ldflags macro for EPEL builds.
     + Enable Xinerama support for RPM packages. (Fixes: #370).
 .
   [ Clemens Lang ]
   * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix
     FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#370; Package nx-libs. (Sat, 04 Jan 2014 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 04 Jan 2014 20:45:04 GMT) Full text and rfc822 format available.

Message #37 received at 370@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 370-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 370@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Sat, 4 Jan 2014 21:42:45 +0100 (CET)
close #370
thanks

Hello,

we are very hopeful that X2Go issue #370 reported by you
has been resolved in the new release (2:3.5.0.22) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.22)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=6afd7646df1e75991a11e89912ecb79b9cc668eb;hp=b2a3143f8a9c2d5aaf20c14408354ef9a712a3ee

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.22-0x2go1
Status: RELEASE
Date: Sat, 04 Jan 2014 21:39:17 +0100
Fixes: 314 337 370
Changes: 
 nx-libs (2:3.5.0.22-0x2go1) RELEASED; urgency=low
 .
   [ Mirraz Mirraz ]
   * Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs:
     one implicit function declaration issue and two array index out of bounds
     issues. (Fixes: #314).
 .
   [ Mike Gabriel ]
   * Add patch 604_nx-X11_recent-freetype-API.full.patch. Fix FTBFS against
     recent (>= 2.5.0) libfreetype6 API.
   * Refresh patch: 600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch.
   * Improve patch:
     601_nx-X11_build-option-changes-to-not-use-bundled-libraries.full.patch.
     Improvements taken from the current Fedora package. Thanks to Orion
     Paplowski!!! Also adapt roll-tarball.sh do dropping more bundled
     libraries.
   * Rename patch: 302_nxagent_configurable-keystrokes.full.patch to
     320_nxagent_configurable-keystrokes.full.patch.
   * debian/source/format:
     + Switch to format 1.0.
   * debian/control:
     + Add libfreetype6-dev to Build-Depends: field.
     + Drop symlinking libNX_xrandr for setting a custom LD_LIBRARY_PATH. Not in
       use anymore and not recommended at all to have that.
     + Make sure all nx-libs components depend on the very same version.
   * debian/rules:
     + Remove bundled libraries from source tree before building the package.
   * nx-libs.spec:
     + Ship nx-libs.spec (RPM package definitions) in upstream project. (Thanks
       to the Fedora package maintainers). File differs from the Fedora file
       already.
     + Clear (Fedora package) changelog.
     + Use local tarball, don't expect  ,,-full'' in tarball name.
     + The RPM macro for the linker flags does not exist on EPEL. Thus, hardcode
       __global_ldflags macro for EPEL builds.
     + Enable Xinerama support for RPM packages. (Fixes: #370).
 .
   [ Clemens Lang ]
   * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix
     FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 04 Jan 2014 20:45:05 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 04 Jan 2014 20:45:05 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#370. (Sat, 04 Jan 2014 20:45:08 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#370. (Sat, 04 Jan 2014 20:45:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 02 Feb 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Jul 20 22:06:25 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.